# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [2.0.3-alpha.0](https://github.com/cdmbase/workbench-stack/compare/v2.0.2...v2.0.3-alpha.0) (2021-05-31)

**Note:** Version bump only for package @workbench-stack/output-browser





## [2.0.2](https://github.com/cdmbase/workbench-stack/compare/v2.0.1...v2.0.2) (2021-02-25)

**Note:** Version bump only for package @workbench-stack/output-browser





## [2.0.1](https://github.com/cdmbase/workbench-stack/compare/v2.0.1-alpha.1...v2.0.1) (2021-02-25)

**Note:** Version bump only for package @workbench-stack/output-browser





## [2.0.1-alpha.1](https://github.com/cdmbase/workbench-stack/compare/v2.0.1-alpha.0...v2.0.1-alpha.1) (2021-01-17)

**Note:** Version bump only for package @workbench-stack/output-browser





## [2.0.1-alpha.0](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v2.0.1-alpha.0) (2021-01-17)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/keybinding to @workbench-stack/components:** reduce number of packages ([1c86b29](https://github.com/cdmbase/workbench-stack/commit/1c86b2957194f4cf7706d413d72f7125387fefa3))
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`
* **merge @workbench-stack/keybinding to @workbench-stack/components:** @workbench-stack/keybindings package no more exist. Use `import { keybindingExtensino} from '@workbench-stack/components'` instead
